Observe
Get dashboard summary
The risk map, traffic stats and a plain-text summary for the CISO dashboard. Results are computed from the most recent 5,000 events in the period. See Dashboard.
Required permission: observe:read
GET
/
api
/
v1
/
observe
/
summary
Get dashboard summary
curl --request GET \
--url https://api.igrisecurity.com/api/v1/observe/summary \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.igrisecurity.com/api/v1/observe/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.igrisecurity.com/api/v1/observe/summary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"riskMap": {
"systems": [
"github-prod"
],
"categories": [
"pii_exposure",
"injection_attempts",
"policy_violations",
"anomalies"
],
"cells": [
{
"systemId": "github-prod",
"category": "policy_violations",
"count": 15,
"highestSeverity": null,
"level": "amber"
}
]
},
"stats": {
"llmCalls": 4210,
"mcpToolCalls": 1200,
"piiRedactions": 2,
"injectionsBlocked": 0,
"anomalies": 1,
"policyDenials": 15,
"totalCostCents": 12345.6,
"totalTokensIn": 1000000,
"totalTokensOut": 500000,
"byProvider": {
"openai": 4210
},
"byModel": {
"gpt-4o": 4210
},
"highestSeverity": "high"
},
"summary": "During the past week, your AI systems processed 4,210 LLM calls and 1,200 MCP tool calls. 15 tool calls were denied by policy.",
"period": "week",
"dateRange": {
"start": "2026-01-01",
"end": "2026-01-08"
}
}
}{
"error": "Unauthorized"
}{
"error": "Forbidden",
"required": "policies:write"
}Authorizations
An Igris API key. It acts with the current role and permission overrides of the member who created it.
Query Parameters
day is 24 hours, week 7 days, month 30 days. Any other value is treated as week.
Available options:
day, week, month Response
The summary.
Show child attributes
Show child attributes
⌘I
Get dashboard summary
curl --request GET \
--url https://api.igrisecurity.com/api/v1/observe/summary \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.igrisecurity.com/api/v1/observe/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.igrisecurity.com/api/v1/observe/summary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"riskMap": {
"systems": [
"github-prod"
],
"categories": [
"pii_exposure",
"injection_attempts",
"policy_violations",
"anomalies"
],
"cells": [
{
"systemId": "github-prod",
"category": "policy_violations",
"count": 15,
"highestSeverity": null,
"level": "amber"
}
]
},
"stats": {
"llmCalls": 4210,
"mcpToolCalls": 1200,
"piiRedactions": 2,
"injectionsBlocked": 0,
"anomalies": 1,
"policyDenials": 15,
"totalCostCents": 12345.6,
"totalTokensIn": 1000000,
"totalTokensOut": 500000,
"byProvider": {
"openai": 4210
},
"byModel": {
"gpt-4o": 4210
},
"highestSeverity": "high"
},
"summary": "During the past week, your AI systems processed 4,210 LLM calls and 1,200 MCP tool calls. 15 tool calls were denied by policy.",
"period": "week",
"dateRange": {
"start": "2026-01-01",
"end": "2026-01-08"
}
}
}{
"error": "Unauthorized"
}{
"error": "Forbidden",
"required": "policies:write"
}